### Signal

# SpiceClientGLib Session::channel-new

#### Declaration

    void
    channel_new (
      SpiceSession* self,
      SpiceChannel* channel,
      gpointer user_data
    )

#### Description [src]

The `SpiceSession::channel-new` signal is emitted each time a `SpiceChannel` is created.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`channel`

  Type: `SpiceChannel`

  The new `SpiceChannel`.

  The data is owned by the caller of the function.